<div class="row">
  <div class="col-sm-12">
    <div class="card">
      <div class="card-body p-2 m-2">
        <form
          [formGroup]="gedFormGroup"
          (ngSubmit)="openSubmitModal(template)"
          appFocusInvalidInput
          autocomplete="off"
        >
          <div class="row">
            <div class="col-md-6 col-12">
              <div class="row">
                <div class="col">
                  <app-attachment-form [height]="'300px'"></app-attachment-form>
                </div>
              </div>
            </div>

            <div class="col-md-6 col-12">
              <div class="row">
                <div class="col-6">
                  <label class="col-form-label">{{
                    "FIELD.GED.VISIBILITY" | translate
                  }}</label>
                  <select
                    class="form-control form-control-sm"
                    name="visibility"
                    formControlName="visibility"
                    (change)="onVisibiltyChange($event.target.value)"
                  >
                    <option value="public" selected>
                      {{ "FIELD.GED.PUBLIC" | translate }}
                    </option>
                    <option value="private">
                      {{ "FIELD.GED.PRIVATE" | translate }}
                    </option>
                  </select>

                  <div
                    *ngIf="
                      gedFormGroup?.get('visibility')?.invalid &&
                      showValidationsMsg
                    "
                    class="text-danger"
                  >
                    <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
                  </div>
                </div>
              </div>

              <ng-container
                *ngIf="gedFormGroup?.get('visibility')?.value === 'private'"
              >
                <div class="row">
                  <div class="col-6">
                    <label class="col-form-label">{{
                      "FIELD.GED.TYPE_COMPTE" | translate
                    }}</label>
                    <select
                      class="form-control form-control-sm"
                      formControlName="compteType"
                      (change)="onAccountTypeChange($event.target.value)"
                    >
                      <option value="PP" selected>
                        {{ "FIELD.GED.PP" | translate }}
                      </option>
                      <option value="PM">
                        {{ "FIELD.GED.PM" | translate }}
                      </option>
                    </select>
                  </div>

                  <div class="col-6">
                    <label class="col-form-label">{{
                      "FIELD.GED.CODE_CLIENT" | translate
                    }}</label>

                    <ngx-select
                      [items]="
                        gedFormGroup.get('compteType').value === 'PP'
                          ? accountPPList
                          : gedFormGroup.get('compteType').value === 'PM'
                          ? accountPMList
                          : null
                      "
                      [optionValueField]="'code'"
                      [optionTextField]="'description'"
                      formControlName="compte"
                      [placeholder]="'FIELD.PLEASE.SELECT' | translate"
                      size="small"
                      [ngClass]="{
                        disabled: gedFormGroup.get('compte').disabled
                      }"
                    >
                    </ngx-select>

                    <div
                      *ngIf="
                        gedFormGroup?.get('compte')?.invalid &&
                        showValidationsMsg
                      "
                      class="text-danger"
                    >
                      <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
                    </div>
                  </div>
                </div>
              </ng-container>

              <div class="row">
                <div class="col-6">
                  <label class="col-form-label">{{
                    "FIELD.GED.TYPE_DOCUMENT" | translate
                  }}</label>
                  <select
                    class="form-control form-control-sm"
                    formControlName="documentType"
                  >
                    <option value="" disabled selected>
                      {{ "FIELD.PLEASE.SELECT" | translate }}
                    </option>
                    <option *ngFor="let item of gedTypes" [ngValue]="item.code">
                      {{ item.value }}
                    </option>
                  </select>

                  <div
                    *ngIf="
                      gedFormGroup?.get('documentType')?.invalid &&
                      showValidationsMsg
                    "
                    class="text-danger"
                  >
                    <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
                  </div>
                </div>

                <div class="col-6">
                  <label class="col-form-label">{{
                    "FIELD.GED.NOM_DOCUMENT" | translate
                  }}</label>
                  <input
                    class="form-control form-control-sm"
                    formControlName="documentName"
                    pattern="[A-Za-z ]+"
                  />

                  <div
                    *ngIf="
                      gedFormGroup.get('documentName').invalid &&
                      showValidationsMsg
                    "
                  >
                    <div
                      *ngIf="gedFormGroup.get('documentName').errors.required"
                      class="text-danger"
                    >
                      <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
                    </div>
                    <div
                      *ngIf="gedFormGroup.get('documentName').errors.pattern"
                      class="text-danger"
                    >
                      <small>{{
                        "FIELD.ERRORS.PATTERN_ALPHA" | translate
                      }}</small>
                    </div>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="col">
                  <label class="col-form-label">{{
                    "FIELD.GED.DESCRIPTION" | translate
                  }}</label>
                  <textarea rows="3"
                    class="form-control form-control-sm"
                    formControlName="description"
                  ></textarea>

                  <div
                    *ngIf="
                      gedFormGroup?.get('description')?.invalid &&
                      showValidationsMsg
                    "
                    class="text-danger"
                  >
                    <small>{{ "FIELD.ERRORS.REQUIRED" | translate }}</small>
                  </div>
                </div>
              </div>

              <div class="text-right mt-2">
                <button
                  type="button"
                  class="btn btn-light btn-sm mr-2"
                  [title]="'FIELD.BUTTONS.RESET' | translate"
                  (click)="onReset()"
                  [disabled]="loading"
                >
                  {{ "FIELD.BUTTONS.RESET" | translate }}
                </button>
                <button
                  type="submit"
                  class="btn btn-primary btn-sm"
                  [title]="'FIELD.BUTTONS.SAVE' | translate"
                  [disabled]="loading"
                >
                  {{ "FIELD.BUTTONS.SAVE" | translate }}
                </button>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<!-- Confirmation Modal -->
<ng-template #template>
  <div class="modal-header">
    <h4 class="modal-title pull-left small">
      {{ "NEW_DOCUMENT.CONFIRM_IMPORT.TITLE" | translate }}
    </h4>
    <button
      type="button"
      class="close pull-right text-danger"
      aria-label="Close"
      (click)="confirmationModalRef.hide()"
    >
      <span aria-hidden="true">×</span>
    </button>
  </div>

  <div class="modal-body">
    <div class="text-danger">
      {{ "NEW_DOCUMENT.CONFIRM_IMPORT.CONFIRM" | translate }}
      <span *ngIf="gedFormGroup?.get('visibility')?.value === 'public'">{{
        "NEW_DOCUMENT.CONFIRM_IMPORT.ALL" | translate
      }}</span>
      <span
        *ngIf="gedFormGroup?.get('visibility')?.value === 'private'"
        class="font-weight-bold"
      >
        {{ "NEW_DOCUMENT.CONFIRM_IMPORT.ONE" | translate }}
        {{ gedFormGroup?.get("compte")?.value }}</span
      >
      ?
    </div>
    <ul>
      <li class="text-dark">Documents:</li>
      <li class="blockquote-footer" *ngFor="let item of selectedFiles">
        {{ item.name }}
      </li>
    </ul>
  </div>

  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-default btn-danger"
      (click)="confirmationModalRef.hide()"
      [title]="'FIELD.BUTTONS.CANCEL' | translate"
    >
      {{ "FIELD.BUTTONS.CANCEL" | translate }}
    </button>
    <button
      type="submit"
      class="btn btn-default btn-primary"
      (click)="confirmationModalRef.hide(); onSubmit()"
      [title]="'FIELD.BUTTONS.VALID' | translate"
    >
      {{ "FIELD.BUTTONS.VALID" | translate }}
    </button>
  </div>
</ng-template>
